Skip to content

/userinfo

Request

Returns information about the user that's the subject of the access token. Many of these claims are also included in the ID token, but calling this endpoint always returns all of the user's claims. You can configure the ID token to include a subset of the user's claims. See Scope-dependent claims.

GET
/oauth2/v1/userinfo
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/oauth2/v1/userinfo

Responses

Success

Bodyapplication/json
substring

The subject identifier

property name*anyadditional property
Response
{ "sub": "00uid4BxXw6I6TV4m0g3", "name": "John Doe", "nickname": "Jimmy", "given_name": "John", "middle_name": "James", "family_name": "Doe", "profile": "https://example.com/john.doe", "zoneinfo": "America/Los_Angeles", "locale": "en-US", "updated_at": 1311280970, "email": "john.doe@example.com", "email_verified": true, "address": { "street_address": "123 Hollywood Blvd.", "locality": "Los Angeles", "region": "CA", "postal_code": "90210", "country": "US" }, "phone_number": "+1 (425) 555-1212" }